Get one information template
get
/fscmRestApi/resources/11.13.18.05/informationTemplates/{informationTemplatesUniqID}
Request
Path Parameters
-
informationTemplatesUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Information Templates resource and used to uniquely identify an instance of Information Templates. The client should not generate the hash key value. Instead, the client should query on the Information Templates collection resource in order to navigate to a specific instance of Information Templates to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : informationTemplates-item-response
Type:
Show Source
object-
AttachmentCategory: string
Maximum Length:
30Category that classifies the attachment. -
AttributeList: string
Title:
NameMaximum Length:80List of attributes included in the information template. -
categoryAssociations: array
Category Associations
Title:
Category AssociationsAssociations of categories used in an information template. For example, an information template can include related category links for classification. -
CreatedBy: string
Maximum Length:
64User who created the information template. -
CreationDate: string
(date-time)
The date when the information template was created.
-
InactiveDate: string
(date)
The date when the information template becomes inactive.
-
InformationTemplateDisplayName: string
Maximum Length:
250Display name of the information template. -
InformationTemplateId: integer
(int64)
Read Only:
trueUnique identifier of the information template. -
InformationTemplateName: string
Title:
Information TemplateMaximum Length:250Name of the information template. -
InstructionText: string
Maximum Length:
250Instruction text for users to know how to use the information template. -
itemAssociations: array
Item Associations
Title:
Item AssociationsAssociations of items used in an information template. For example, an information template can include master items. -
LastUpdateDate: string
(date-time)
The date when the information template was last updated.
-
LastUpdatedBy: string
Maximum Length:
64User who last updated the information template. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProcurementBU: string
Title:
OrganizationMaximum Length:240Business unit in which the information template is created. -
ProcurementBUId: integer
(int64)
Identifier of the business unit in which the information template is created.
Nested Schema : Category Associations
Type:
arrayTitle:
Category AssociationsAssociations of categories used in an information template. For example, an information template can include related category links for classification.
Show Source
Nested Schema : Item Associations
Type:
arrayTitle:
Item AssociationsAssociations of items used in an information template. For example, an information template can include master items.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : informationTemplates-categoryAssociations-item-response
Type:
Show Source
object-
AssociationId: integer
(int64)
Read Only:
trueUnique identifier of the category association. -
CategoryId: integer
(int64)
Unique identifier for the category associated with the information template.
-
CategoryName: string
Maximum Length:
2400Name of the category assigned to the information template. -
Description: string
Read Only:
trueMaximum Length:240Description of the category associated with the information template. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the category association was last updated. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : informationTemplates-itemAssociations-item-response
Type:
Show Source
object-
AssociationId: integer
(int64)
Unique identifier of the item association.
-
Description: string
Title:
Item DescriptionRead Only:trueMaximum Length:240Description of the item associated with the information template. -
ItemId: integer
(int64)
Unique identifier of the item.
-
ItemNumber: string
Maximum Length:
300Value that uniquely identifies the item. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the item association was last updated. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- categoryAssociations
-
Parameters:
- informationTemplatesUniqID:
$request.path.informationTemplatesUniqID
Associations of categories used in an information template. For example, an information template can include related category links for classification. - informationTemplatesUniqID:
- itemAssociations
-
Parameters:
- informationTemplatesUniqID:
$request.path.informationTemplatesUniqID
Associations of items used in an information template. For example, an information template can include master items. - informationTemplatesUniqID: